lines {base} | R Documentation

## Add Connected Line Segments to a Plot

### Description

A generic function taking coordinates given in various ways and joining the corresponding points with line segments.

### Usage

    lines(x, ...)
    lines.default(x, y=NULL, type="l", col=par("col"), lty=par("lty"), ...)

### Arguments

`x, y` | coordinate vectors of points to join.
`type` | character indicating the type of plotting; actually any of the `type`s as in `plot(..)`.
`col` | color to use.
`lty` | line type to use.
`...` | Further graphical parameters (see `par`) may also be supplied as arguments, particularly, line type, `lty` and line width, `lwd`.

### Details

The coordinates can be passed to `lines` in a plotting structure (a list with `x` and `y` components), a time series, etc. See `xy.coords`.

The coordinates can contain `NA` values. If a point contains `NA` it either its `x` or `y` value, it is omitted from the plot, and liens are not drawn to or from such points. Thus missing values can be used to achieve breaks in lines.

### See Also

`points`, `plot`, and the underlying ``primitive'' `plot.xy`.

### Examples

    data(cars)
    # draw a smooth line through a scatter plot
    plot(cars, main="Stopping Distance versus Speed")
    lines(lowess(cars))